spatwmat using "/Users/                /Matrix_24.02.2021.dta", name(W1) standardize
spatwmat using "/Users/                /Matrix_24.02.2021.dta", name(W2)

use "/Users/                   /data_24.02.2021.dta", clear

*Measures of global spatial autocorrelation
*moran, giri, getis-ord indices

spatgsa  unempl_rate, w(W1) moran geary two
spatgsa  unempl_rate, w(W2) go

*moran plot
spatlsa unempl_rate, weights(W1) moran id(region_code) graph(moran) symbol(id)


//local  indicators for spatial association
// compare with p=0,00060241 (0,05/83), z must be greater than 3,43
spatlsa unempl_rate, w(W1) moran id(region_code) two sort
spatlsa unempl_rate, w(W1) geary id(region_code) two sort
spatlsa unempl_rate, weights(W2) go2 two sort
